"""adicao de campo para porcentagem da baterial

Revision ID: 69b1873881d6
Revises: d3a99ca3445c
Create Date: 2023-12-11 15:35:03.171142

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '69b1873881d6'
down_revision: Union[str, None] = 'd3a99ca3445c'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('drone', sa.Column('battery_percentage', sa.Integer(), nullable=True))
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('drone', 'battery_percentage')
    # ### end Alembic commands ###
